%define po_package %{name}

Name:	mate-panel
Version:	1.4.0
Release:	6%{?dist}
Summary:	MATE Desktop panel applets
#libs are LGPLv2+ applications GPLv2+
License:	LGPLv2+ and GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

%if %{fedora} >= 18
BuildRequires: libnm-gtk-devel
%else
BuildRequires: NetworkManager-gtk-devel
%endif
Buildrequires:	dbus-glib-devel desktop-file-utils gobject-introspection-devel gtk2-devel icon-naming-utils libSM-devel libcanberra-devel libmate-devel libmatecomponentui-devel libmatecomponent-devel libmateweather-devel libmatewnck-devel librsvg2-devel mate-common mate-conf-devel mate-corba-devel mate-conf mate-conf-gtk mate-desktop-devel mate-doc-utils mate-menus-devel pango-devel popt-devel

#Will fix evolution support in a future release
#BuildRequires: evolution-data-server-devel
Requires(pre):	mate-conf
Requires(post):	mate-conf
Requires(preun):	mate-conf

%description
MATE Desktop panel applets

%package devel
Summary: Development files for mate-panel
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for mate-panel


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
#libexecdir needed for gnome conflicts
%configure --disable-scrollkeeper --disable-static --enable-network-manager --libexecdir=%{_libexecdir}/mate-panel --enable-matecomponent --disable-schemas-install
make  %{?_smp_mflags} V=1

%install
export MATECONF_DISABLE_MAKE_FILE_SCHEMA INSTALL=1
make LIBTOOL="/usr/bin/libtool" DESTDIR=%{buildroot} install
%find_lang %{name}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

desktop-file-install									\
	--remove-category="MATE;GTK;System;Core;"					\
	--add-category="X-Mate"								\
	--delete-original								\
	--dir=%{buildroot}%{_datadir}/applications					\
%{buildroot}%{_datadir}/applications/mate-panel.desktop

#%check
#desktop-file-validate %{buildroot}%{_datadir}/applications/mate-panel.desktop



%pre
%mateconf_schema_prepare clock
%mateconf_schema_prepare fish
%mateconf_schema_prepare panel-compatibility
%mateconf_schema_prepare panel-general
%mateconf_schema_prepare panel-global
%mateconf_schema_prepare panel-object
%mateconf_schema_prepare panel-toplevel
%mateconf_schema_prepare window-list
%mateconf_schema_prepare workspace-switcher

%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :
%mateconf_schema_upgrade clock
%mateconf_schema_upgrade fish
%mateconf_schema_upgrade panel-compatibility
%mateconf_schema_upgrade panel-general
%mateconf_schema_upgrade panel-global
%mateconf_schema_upgrade panel-object
%mateconf_schema_upgrade panel-toplevel
%mateconf_schema_upgrade window-list
%mateconf_schema_upgrade workspace-switcher

%preun
%mateconf_schema_remove clock
%mateconf_schema_remove fish
%mateconf_schema_remove panel-compatibility
%mateconf_schema_remove panel-general
%mateconf_schema_remove panel-global
%mateconf_schema_remove panel-object
%mateconf_schema_remove panel-toplevel
%mateconf_schema_remove window-list
%mateconf_schema_remove workspace-switcher

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{po_package}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_sysconfdir}/mateconf/schemas/clock.schemas
%{_sysconfdir}/mateconf/schemas/fish.schemas
%{_sysconfdir}/mateconf/schemas/panel-compatibility.schemas
%{_sysconfdir}/mateconf/schemas/panel-default-setup.entries
%{_sysconfdir}/mateconf/schemas/panel-general.schemas
%{_sysconfdir}/mateconf/schemas/panel-global.schemas
%{_sysconfdir}/mateconf/schemas/panel-object.schemas
%{_sysconfdir}/mateconf/schemas/panel-toplevel.schemas
%{_sysconfdir}/mateconf/schemas/window-list.schemas
%{_sysconfdir}/mateconf/schemas/workspace-switcher.schemas
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_bindir}/panel-test-applets-matecomponent
%{_datadir}/idl/mate-panel-2.0/MATE_Panel.idl
%{_datadir}/mate-2.0/ui/MATE_Panel_Popup.xml
%{_libdir}/libmate-panel-applet-2.so.1
%{_libdir}/libmate-panel-applet-2.so.1.0.1
%{_libdir}/girepository-1.0/MatePanelApplet-3.0.typelib
%{_libdir}/libmate-panel-applet-3.so.1
%{_libdir}/libmate-panel-applet-3.so.1.0.1
%{_libexecdir}/mate-panel
%{_datadir}/applications/mate-panel.desktop
%{_datadir}/dbus-1/services/org.mate.panel.applet.ClockAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.FishAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.NotificationAreaAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.WnckletFactory.service
%{_datadir}/gir-1.0/MatePanelApplet-3.0.gir
%{_datadir}/omf/mate-applet-fish/
%{_datadir}/omf/mate-applet-clock/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mate/help/mate-applet-clock
%{_datadir}/mate/help/mate-applet-fish
%{_datadir}/mate-panel
%{_datadir}/mate-panelrc

%files devel
%{_libdir}/libmate-panel-applet-3.so
%{_includedir}/mate-panel-3.0/
%{_libdir}/pkgconfig/libmatepanelapplet-3.0.pc
%{_includedir}/panel-2.0/MATE_Panel.h
%{_includedir}/panel-2.0/mate-panel-applet-enums.h
%{_includedir}/panel-2.0/mate-panel-applet-mateconf.h
%{_includedir}/panel-2.0/mate-panel-applet.h
%{_libdir}/libmate-panel-applet-2.so
%{_libdir}/mate-panel/modules/libmate-panel-applets-matecomponent.so
%{_libdir}/pkgconfig/libmatepanelapplet-2.0.pc
%{_datadir}/gtk-doc/html/mate-panel-applet/

%changelog
* Wed Oct 03 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-6
- Add posttrans scriptlet to update icon cache and fix ordering of scriptlets
- Add comment about licensing

* Wed Oct 03 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-5
- Fix typo for netowrkmanager devel package on f18 

* Tue Oct 02 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-4
- Fix directory ownership, fix libexec configure flag
- Fix schema installation.. totally off

* Tue Oct 02 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-3
- Fix buildrequires for networkmanager rename in f18 as per juhp

* Mon Sep 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-2
- Fix mateconf scriptlets

* Sat Sep 01 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.4.0-1
-Initial build

